<?PHP
/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: lib.php 1423 2005-02-02 13:18:58Z michal $
*/

include_once 'lib-statistics.inc.php';

/*--------------------------------------------------------------*/
/* Function for generating header for xls publisher reports     */
/*--------------------------------------------------------------*/
function & generateXLSHeader(& $workbook, $reportName, $strStartDate, $strEndDate, $subjectId, $reportDescription = '', $reportType = 'publisher')
{    
	$strTodayDate = date(str_replace('%','',$GLOBALS['date_format']), time());
	
    $columnHeader =& $workbook->addFormat();
    $columnHeader->setBold();
    
    // setting filename for report
    $workbook->send( createReportFilename($reportName,$strStartDate,$strEndDate) );
    $worksheet =& $workbook->addWorksheet(substr($reportName . " Report",0,30));
    
    // setting column width
    $worksheet->setColumn(0,0,30);
    $worksheet->setColumn(1,9,15);
    
    // Report "not structural" data
    $worksheet->write(0,0,'Report:', $columnHeader);
    $worksheet->write(0,1,$reportName);
	
    $worksheet->write(1,0,'Report Date:', $columnHeader);
    $worksheet->write(1,1,$strTodayDate);
    
    $worksheet->write(2,0,'Report Period:', $columnHeader);
    $worksheet->write(2,1,$strStartDate . ' - ' . $strEndDate);
    
    switch ($reportType) {
        case 'publisher':
            $worksheet->write(3,0,'Site:', $columnHeader);
            $worksheet->write(3,1,getAffiliateSite($subjectId));
            break;
        case 'advertiser':
            $worksheet->write(3,0,'Advertiser:', $columnHeader);
            $worksheet->write(3,1,getClientName($subjectId));
            break;
        default:
            break;
    }
    
    $worksheet->write(5,0,$reportDescription);
    
    return $worksheet;
}

function createReportFilename($reportName, $startDate, $endDate) {
    return strtr($reportName, ' ', '_') . '.xls';
}

/*-----------------------------------------------------*/
/* Function for generating "total" fow at the end of   */
/* passed data table (normal array)                    */
/*-----------------------------------------------------*/
function addTotals(& $table) {
    global $strTotal;
    
    $totalRow = array();
    
    foreach($table as $id => $row) {
        foreach($row as $fieldName => $fieldValue) {
            if(isset($totalRow[$fieldName])) {
                if(is_numeric($totalRow[$fieldName])) {
                    $totalRow[$fieldName] += $fieldValue;
                } else {
                    $totalRow[$fieldName] = '';
                }
            } else {
                $totalRow[$fieldName] = (string)$fieldValue;
            }
        }
    }
    
    // first column of the table is "Total"
    if(list($key, $val) = each($totalRow)) {
        $totalRow[$key] = $strTotal;
    }
    
    $table[] = $totalRow;
}

/*----------------------------------------------------------------*/
/* Function for getting website name for particular affiliate     */
/*----------------------------------------------------------------*/

function getAffiliateSite($affiliate_id)
{
    global $phpAds_config;
	
	if (phpAds_isUser(phpAds_Admin))
	{
		$query =
			"SELECT website".
			" FROM ".$phpAds_config['tbl_affiliates'].
			" WHERE affiliateid=".$affiliate_id ;
	}
	elseif (phpAds_isUser(phpAds_Agency))
	{
		$query =
			"SELECT website".
			" FROM ".$phpAds_config['tbl_affiliates'].
			" WHERE agencyid=".phpAds_getUserID().
			"   AND affiliateid=".$affiliate_id;
	}
	elseif (phpAds_isUser(phpAds_Client))
	{
		$query =
			"SELECT website".
			" FROM ".$phpAds_config['tbl_affiliates'].
			" WHERE affiliateid=".phpAds_getUserID().
			"   AND affiliateid=".$affiliate_id;
	}
	$res = phpAds_dbQuery($query);
	
	if ($row = phpAds_dbFetchArray($res))
	   return "[id".$affiliate_id."] ".$row['website'];
	else
	   return 'none';
}

/*-------------------------------------------------------*/
/* Fetch the client name from the database               */
/*-------------------------------------------------------*/

function getClientName($clientid)
{
    if ($clientid != '' && $clientid != 0)
    {
        $client_details = phpAds_getClientDetails($clientid);
        return $client_details['clientname'];
    }
    else
        return ($strUntitled);
}
?>