<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.1                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2004 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: acl.php 626 2004-08-19 18:19:15Z scott $
*/

/**
 * @package    Max
 * @author     Scott Switzer <scott@switzer.org>
 */

// Define the phpAds_path variable
define('phpAds_path', '.');

// Build the initialisation arrays
require_once 'config.inc.php';
$GLOBALS['conf'] = $conf;
$GLOBALS['phpAds_config'] = $phpAds_config;

// Set the log file
@ini_set('error_log', MAX_LOG_DIR . '/' . $conf['log']['name']);
// Start benchmarking...
startBenchmark();

/**
 * Remove an assortment of special characters from a variable or array:
 * 1.  Strip slashes if magic quotes are turned on.
 * 2.  Strip out any HTML
 * 3.  Strip out any CRLF
 * 4.  Remove any white space
 *
 * @access  public
 * @param   string $var  The variable to process.
 * @return  string       $var, minus any special quotes.
 */
function removeSpecialChars(&$var)
{
    static $magicQuotes;
    if (!isset($magicQuotes)) {
        $magicQuotes = get_magic_quotes_gpc();
    }
    if (isset($var)) {
        if (!is_array($var)) {
            if ($magicQuotes) {
                $var = stripslashes($var);
            }
            $var = strip_tags($var);
            $var = str_replace(array("\n", "\r"), array('', ''), $var);
            $var = trim($var);
        } else {
            array_walk($var, 'removeSpecialChars');
        }
    }
}

/**
 * Generate a unique ID (used for the ID for unique users)
 *
 * @return string Unique MD5 string
 */
function generateUniqueId()
{
    return md5(uniqid(mt_rand(), true));
}

/**
 * Start benchmarking, if it is turned on
 *
 * @param array $conf The configuration array
 * @param object $timer The timer object from Pear
 */
function startBenchmark()
{
    $conf = $GLOBALS['conf'];
    if ($conf['debug'] && $conf['debug']['benchmark']) {
        require_once(PEAR_LIB . '/Benchmark/Timer.php');
        $timer = new Benchmark_Timer();
        $timer->start();
        $GLOBALS['timer'] = $timer;
    }
}

/**
 * Stop benchmarking, if it is turned on
 *
 * @param array $conf The configuration array
 * @param object $timer The timer object from Pear
 */
function stopBenchmark()
{
    $conf = $GLOBALS['conf'];
    if ($conf['debug']['benchmark']) {
        $timer = $GLOBALS['timer'];
        $timer->stop();
        logBenchmark(basename($_SERVER['SCRIPT_FILENAME']), $_SERVER['QUERY_STRING'], $timer->timeElapsed());
    }
}
    
/**
 * Get the amount of bytes of memory usage at this particular moment.
 *
 * @return int The total number of bytes that this PHP process is currently using.
 */
function getMemoryUsage()
{
       
       if (function_exists('memory_get_usage'))
       {
           return memory_get_usage();
       }
       else if ( strpos( strtolower($_SERVER["OS"]), 'windows') !== false)
       {
           // Windows workaround
           $output = array();
           
           exec('tasklist /FI "PID eq ' . getmypid() . '" /FO LIST', $output);            
           return substr($output[5], strpos($output[5], ':') + 1);
       }
       else
       {
           return '<b style="color: red;">no value</b>';
       }
}


?>
